PATCH /accounts/{id}/discord-settings

Default webhook identity (webhookUsername 1-80 characters without "discord"/"clyde", webhookAvatarUrl https; "" resets) and/or channelId: move the account to another text, announcement or forum channel of the same server (the bot creates a webhook there)

PATCH
/accounts/{id}/discord-settings

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Account id

Request Body

application/json
  1. body
webhookUsername?string
webhookAvatarUrl?string
channelId?string

Response Body

{message, account}

application/json
  1. response
message?string
account?
Example Request
curl -X PATCH 'https://example.com/api/v1/accounts/string/discord-settings' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "message": "string",  "account": {    "_id": "string",    "id": "string",    "platform": "discord",    "connection": "bot",    "username": "string",    "displayName": "string",    "profilePicture": "string",    "channelId": "string",    "channelName": "string",    "channelType": "string",    "guildId": "string",    "webhookUsername": "string",    "webhookAvatarUrl": "string"  }}